Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163526 - QLogic failover doesn't work with HP EVA3000 in AA config
Summary: QLogic failover doesn't work with HP EVA3000 in AA config
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Tom Coughlan
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-18 16:34 UTC by Simon Matter
Modified: 2018-10-19 20:54 UTC (History)
2 users (show)

Fixed In Version: U6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-12-06 12:48:32 UTC


Attachments (Terms of Use)
Spec file for updated QLogic driver (deleted)
2005-07-18 16:37 UTC, Simon Matter
no flags Details | Diff
The QLogic driver version 7.05.00 as a patch (deleted)
2005-07-18 16:39 UTC, Simon Matter
no flags Details | Diff

Description Simon Matter 2005-07-18 16:34:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.9) Gecko/20050711 Firefox/1.0.5

Description of problem:
The failover which is built into the QLogic driver used in kernel-smp-2.4.21-32.0.1.EL doesn't work in combination with a redundant HP EVA3000 in active/active failover configuration. Multipathing works on the hosts FC connection, however a failover on the HSV controllers is not handled properly.

Version-Release number of selected component (if applicable):
kernel-smp-2.4.21-32.0.1.EL

How reproducible:
Always

Steps to Reproduce:
1. Configure the qla2300 module for failover
2. reboot the first HSV controller, then reboot the second
3. check the disks presented
  

Actual Results:  Sometimes you still have access to the disks, sometimes not. In our case one or two out of three servers were always disconnected. Not nice for the mounted filesystems.

Expected Results:  The failover should have worked and the disks should still be visible.

Additional info:

The current RHEL3 U5 kernel doesn't include the latest QLogic driver which has special support for HP EVA failover. The version of the qla2300 module included is 7.01.01, while the current which has worked perfectly in out tests is 7.05.00, with adapter firmware 3.03.11.
I have created updated kernel rpms which have worked fine in our tests and it seems a good reason to include the updated driver into the next kernel update. I will attach the patches I used to build the new packages.

Comment 1 Simon Matter 2005-07-18 16:37:24 UTC
Created attachment 116876 [details]
Spec file for updated QLogic driver

Comment 2 Simon Matter 2005-07-18 16:40:00 UTC
Created attachment 116877 [details]
The QLogic driver version 7.05.00 as a patch

This patch simply includes the sources for the QLogic driver the patch form. It
has been prepared exactly the same way like the original patch which is version
7.01.01.

Comment 4 Tom Coughlan 2005-10-17 14:26:27 UTC
Please test with the updated driver in U6. Let us know the results. 

Comment 6 Simon Matter 2005-12-06 06:47:10 UTC
Unfortunately I'm unable to test the failover with U6 kernels because I can't
reboot the HSV controllers of our HP EVA storage which are used by a number of
other servers which don't survive a controller reboot. However I did test my own
kernel whith updated QLogic driver driver and it worked fine. Now, the U6 kernel
contains exactly the same driver as I tested so I guess everything should be fine.
We will test the QLogic failover on our EVA3000 once all other non Linux servers
attached to it have been fixed, which may take some more time.

Comment 7 Tom Coughlan 2005-12-06 12:48:32 UTC
Sounds like this is fixed in U6. Please re-open if this turns out not to be the
case.

Comment 8 Ernie Petrides 2005-12-06 23:24:15 UTC
A fix for this problem was committed to the RHEL3 U6 patch pool
on 15-Jul-2005 (in kernel version 2.4.21-32.12.EL).

The U6 kernel was release as version 2.4.21-37.EL, and here's the
associated message from the Errata System:


An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html


Comment 9 Simon Matter 2006-01-30 07:10:15 UTC
I have finally been able to test the QLogic failover on our EVA3000 with
kernel-2.4.21-37.0.1.EL and it has worked fine.


Note You need to log in before you can comment on or make changes to this bug.